Returns list of visuals
curl --request GET \
--url http://10.2.4.166:8080/composer/api/visuals \
--header 'Authorization: Basic <encoded-value>'import requests
url = "http://10.2.4.166:8080/composer/api/visuals"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('http://10.2.4.166:8080/composer/api/visuals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_PORT => "8080",
CURLOPT_URL => "http://10.2.4.166:8080/composer/api/visuals",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "http://10.2.4.166:8080/composer/api/visuals"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("http://10.2.4.166:8080/composer/api/visuals")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("http://10.2.4.166:8080/composer/api/visuals")
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"content": [
{
"id": "<string>",
"type": "<string>",
"visualName": "<string>",
"description": "<string>",
"dashboardUsageCount": 123,
"accountId": "<string>",
"ownerSourceId": "<string>",
"sourceName": "<string>",
"level": "TOP",
"creatingUserName": "<string>",
"createdByUserID": "<string>",
"lastModifiedByUserID": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"lastModifiedDate": "2023-11-07T05:31:56Z",
"permissions": [
"READ"
],
"tags": [
"<string>"
],
"projectId": "<string>",
"folderId": "<string>"
}
]
}{
"content": [
{
"id": "<string>",
"type": "<string>",
"visualName": "<string>",
"description": "<string>",
"dashboardUsageCount": 123,
"accountId": "<string>",
"ownerSourceId": "<string>",
"sourceName": "<string>",
"level": "TOP",
"creatingUserName": "<string>",
"createdByUserID": "<string>",
"lastModifiedByUserID": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"lastModifiedDate": "2023-11-07T05:31:56Z",
"permissions": [
"READ"
],
"tags": [
"<string>"
],
"projectId": "<string>",
"folderId": "<string>"
}
]
}{
"content": [
{
"id": "<string>",
"type": "<string>",
"visualName": "<string>",
"description": "<string>",
"dashboardUsageCount": 123,
"accountId": "<string>",
"ownerSourceId": "<string>",
"sourceName": "<string>",
"level": "TOP",
"creatingUserName": "<string>",
"createdByUserID": "<string>",
"lastModifiedByUserID": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"lastModifiedDate": "2023-11-07T05:31:56Z",
"permissions": [
"READ"
],
"tags": [
"<string>"
],
"projectId": "<string>",
"folderId": "<string>"
}
]
}{
"content": [
{
"id": "<string>",
"type": "<string>",
"visualName": "<string>",
"description": "<string>",
"dashboardUsageCount": 123,
"accountId": "<string>",
"ownerSourceId": "<string>",
"sourceName": "<string>",
"level": "TOP",
"creatingUserName": "<string>",
"createdByUserID": "<string>",
"lastModifiedByUserID": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"lastModifiedDate": "2023-11-07T05:31:56Z",
"permissions": [
"READ"
],
"tags": [
"<string>"
],
"projectId": "<string>",
"folderId": "<string>"
}
]
}Returns list of visuals
Returns a list of all visuals, filtered according to params
Returns list of visuals
curl --request GET \
--url http://10.2.4.166:8080/composer/api/visuals \
--header 'Authorization: Basic <encoded-value>'import requests
url = "http://10.2.4.166:8080/composer/api/visuals"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('http://10.2.4.166:8080/composer/api/visuals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_PORT => "8080",
CURLOPT_URL => "http://10.2.4.166:8080/composer/api/visuals",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "http://10.2.4.166:8080/composer/api/visuals"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("http://10.2.4.166:8080/composer/api/visuals")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("http://10.2.4.166:8080/composer/api/visuals")
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"content": [
{
"id": "<string>",
"type": "<string>",
"visualName": "<string>",
"description": "<string>",
"dashboardUsageCount": 123,
"accountId": "<string>",
"ownerSourceId": "<string>",
"sourceName": "<string>",
"level": "TOP",
"creatingUserName": "<string>",
"createdByUserID": "<string>",
"lastModifiedByUserID": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"lastModifiedDate": "2023-11-07T05:31:56Z",
"permissions": [
"READ"
],
"tags": [
"<string>"
],
"projectId": "<string>",
"folderId": "<string>"
}
]
}{
"content": [
{
"id": "<string>",
"type": "<string>",
"visualName": "<string>",
"description": "<string>",
"dashboardUsageCount": 123,
"accountId": "<string>",
"ownerSourceId": "<string>",
"sourceName": "<string>",
"level": "TOP",
"creatingUserName": "<string>",
"createdByUserID": "<string>",
"lastModifiedByUserID": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"lastModifiedDate": "2023-11-07T05:31:56Z",
"permissions": [
"READ"
],
"tags": [
"<string>"
],
"projectId": "<string>",
"folderId": "<string>"
}
]
}{
"content": [
{
"id": "<string>",
"type": "<string>",
"visualName": "<string>",
"description": "<string>",
"dashboardUsageCount": 123,
"accountId": "<string>",
"ownerSourceId": "<string>",
"sourceName": "<string>",
"level": "TOP",
"creatingUserName": "<string>",
"createdByUserID": "<string>",
"lastModifiedByUserID": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"lastModifiedDate": "2023-11-07T05:31:56Z",
"permissions": [
"READ"
],
"tags": [
"<string>"
],
"projectId": "<string>",
"folderId": "<string>"
}
]
}{
"content": [
{
"id": "<string>",
"type": "<string>",
"visualName": "<string>",
"description": "<string>",
"dashboardUsageCount": 123,
"accountId": "<string>",
"ownerSourceId": "<string>",
"sourceName": "<string>",
"level": "TOP",
"creatingUserName": "<string>",
"createdByUserID": "<string>",
"lastModifiedByUserID": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"lastModifiedDate": "2023-11-07T05:31:56Z",
"permissions": [
"READ"
],
"tags": [
"<string>"
],
"projectId": "<string>",
"folderId": "<string>"
}
]
}Authorizations
HTTP Basic authentication using global administrator credentials (username and password).
Query Parameters
(experimental) Defines a searchable parameter
(experimental) Defines a searchable criteria
Show child attributes
Show child attributes
(experimental) Defines filtering by the author user identifier
(experimental) Defines filtering by the user identifier who modified a visual
(experimental) Defines a sorting strategy
Show child attributes
Show child attributes
Defines presence of calculated usage count in dashboards
Defines a page number
Defines a page size
Defines presence of permissions in the response payload
Defines a level of visuals to return
Available options:
IN_DASHBOARD, TOP, ALL Response
The visuals were retrieved successfully
Show child attributes
Show child attributes
Was this page helpful?